## ocaml-inifiles 1.2

=== Makefile ===
-include Makefile.conf

SOURCES=parseini.mly inilexer.mll inifiles.mli inifiles.ml
RESULT=inifiles
PACKS=pcre

LIBINSTALL_FILES=$(wildcard *.mli *.cmi *.cma *.cmxa *.a *.so)
OCAMLDOCFLAGS=-colorize-code

all: debug-code-library
opt: native-code-library
reallyall: byte-code-library native-code-library
install: libinstall
uninstall: libuninstall

-include OCamlMakefile

=== debian/changelog ===
ocaml-inifiles (1.2-3build2) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 11:44:07 -0600

ocaml-inifiles (1.2-3build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:27:45 +0000

ocaml-inifiles (1.2-3) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Fix compilation with OCaml 4.01.0

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Dec 2013 10:15:44 +0100

ocaml-inifiles (1.2-2) unstable; urgency=low

  * Team upload.
  * Generate html documentation (Closes: #615260).
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Fix duplicate-short-description
  * Add a watch file

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 04 Jan 2012 22:44:11 +0100

ocaml-inifiles (1.2-1) unstable; urgency=low

  * Initial release. (Closes: #605634)

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 01 Dec 2010 16:16:24 +0000

=== debian/control ===
Source: ocaml-inifiles
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  ocaml-base-nox,
  libpcre-ocaml-dev,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Homepage: http://homepage.mac.com/letaris/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-inifiles.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-inifiles.git

Package: libinifiles-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: read and write .ini files for OCaml
 This library allow to read and write .ini files. It features
 an object oriented interface to manipulate inifiles. It allows
 sections listing and operation on several inifiles grouped in
 a directory.

Package: libinifiles-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: read and write .ini files for OCaml (runtime)
 This library allow to read and write .ini files. It features
 an object oriented interface to manipulate inifiles. It allows
 sections listing and operation on several inifiles grouped in
 a directory.
 .
 This package contains the shared runtime libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
CONF_OPTS=--enable-has-ocamlopt
else
CONF_OPTS=--disable-has-ocamlopt
endif

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' $(CONF_OPTS)

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install 

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

=== debian/watch ===
version=3
http://homepage.mac.com/letaris/ inifiles-(.*).tar.gz
